Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.clfs.meta.ClassWithCollections

class `mvpa2.clfs.meta.``ClassWithCollections`(descr=None, **kwargs)

  Base class for objects which contain any known collection

  Classes inherited from this class gain ability to access collections and their items as simple attributes. Access to collection items “internals” is done via <collection_name> attribute and interface of a corresponding `Collection`.

  Methods

  `reset`() |

  Initialize ClassWithCollections object

  Parameters:

  descr : str

  > Description of the instance

  Methods

  `reset`() |

  `descr`

    Description of the object if any

  `reset`()

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »